SoShapeHintsElement(3)

NAME
SoShapeHintsElement - The SoShapeHintsElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoShapeHintsElement.h>

Inherits SoElement.

Inherited by SoGLShapeHintsElement.

  Public Types
enum VertexOrdering { UNKNOWN_ORDERING, CLOCKWISE, COUNTERCLOCKWISE, ORDERING_AS_IS }
enum ShapeType { UNKNOWN_SHAPE_TYPE, SOLID, SHAPE_TYPE_AS_IS }
enum FaceType { UNKNOWN_FACE_TYPE, CONVEX, FACE_TYPE_AS_IS }

  Public Member Functions
virtual void init (SoState *state)
virtual void push (SoState *state)
FIXME: write doc.
virtual void pop (SoState *state, const SoElement *prevtopelement)
virtual SbBool matches (const SoElement *element) const
FIXME: write doc.
virtual SoElement * copyMatchInfo (void) const
FIXME: write doc.
virtual void print (FILE *file) const
FIXME: write doc.

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const VertexOrdering vertexOrdering, const ShapeType shapeType, const FaceType faceType)
FIXME: write doc.
static void set (SoState *const state, const VertexOrdering vertexOrdering, const ShapeType shapeType, const FaceType faceType)
FIXME: write doc.
static void get (SoState *const state, VertexOrdering &vertexOrdering, ShapeType &shapeType, FaceType &faceType)
FIXME: write doc.
static VertexOrdering getVertexOrdering (SoState *const state)
FIXME: write doc.
static ShapeType getShapeType (SoState *const state)
FIXME: write doc.
static FaceType getFaceType (SoState *const state)
FIXME: write doc.
static VertexOrdering getDefaultVertexOrdering ()
FIXME: write doc.
static ShapeType getDefaultShapeType ()
FIXME: write doc.
static FaceType getDefaultFaceType ()
FIXME: write doc.

  Protected Member Functions
virtual ~SoShapeHintsElement ()
void updateLazyElement (SoState *state)
virtual void setElt (VertexOrdering vertexOrdering, ShapeType shapeType, FaceType faceType)
FIXME: write doc.

  Protected Attributes
VertexOrdering vertexOrdering
ShapeType shapeType
FaceType faceType

  Additional Inherited Members

Detailed Description

The SoShapeHintsElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoShapeHintsElement::~SoShapeHintsElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoShapeHintsElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoShapeHintsElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoShapeHintsElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoShapeHintsElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoShapeHintsElement::init (SoState * state) [virtual]
Initializes the element to its default values. The default value for vertexOrdering is SoShapeHintsElement::UNKNOWN_ORDERING, for shapeType is SoShapeHintsElement::UNKNOWN_SHAPE_TYPE, and for faceType is SoShapeHintsElement::CONVEX.

Reimplemented from SoElement.

Reimplemented in SoGLShapeHintsElement.

  void SoShapeHintsElement::push (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoElement.

Reimplemented in SoGLShapeHintsElement.

  void SoShapeHintsElement::pop (SoState * state, const SoElement * prevTopElement) [virtual]
This method is called when the state is popped, and the depth of the element is bigger than the current state depth. pop() is called on the new top of stack, and a pointer to the previous top of stack is passed in prevTopElement.

Override this method if you need to copy some state information from the previous top of stack.

Reimplemented from SoElement.

Reimplemented in SoGLShapeHintsElement.

  SbBool SoShapeHintsElement::matches (const SoElement * element) const [virtual]

FIXME: write doc.

Implements SoElement.

  SoElement * SoShapeHintsElement::copyMatchInfo (void) const [virtual]

FIXME: write doc.

Implements SoElement.

  void SoShapeHintsElement::print (FILE * file) const [virtual]

FIXME: write doc.

Reimplemented from SoElement.

  void SoShapeHintsElement::setElt (VertexOrdering vertexOrdering, ShapeType shapeType, FaceType faceType) [protected], [virtual]

FIXME: write doc.

Reimplemented in SoGLShapeHintsElement.

Author

Generated automatically by Doxygen for Coin from the source code.